Get all traffic policy profiles
Get all traffic policy profiles belonging to the user that match the given filters.
GET
/
traffic
/
policy
/
profiles
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const trafficPolicyProfile of client.trafficPolicyProfiles.list()) {
console.log(trafficPolicyProfile.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.traffic_policy_profiles.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.TrafficPolicyProfiles.List(context.TODO(), telnyx.TrafficPolicyProfileListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.trafficpolicyprofiles.TrafficPolicyProfileListPage;
import com.telnyx.sdk.models.trafficpolicyprofiles.TrafficPolicyProfileListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
TrafficPolicyProfileListPage page = client.trafficPolicyProfiles().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.traffic_policy_profiles.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->trafficPolicyProfiles->list(
filterService: 'filter[service]',
filterType: 'whitelist',
pageNumber: 1,
pageSize: 1,
sort: 'service',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx traffic-policy-profiles list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/traffic/policy/profiles \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "traffic_policy_profile",
"type": "whitelist",
"services": [
"service_123",
"service_456"
],
"ip_ranges": [
"10.64.0.0/24",
"10.64.0.0/25"
],
"domains": [
"www.hbomax.com",
"netflix.com"
],
"limit_bw_kbps": 512,
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number to load.
Required range:
x >= 1The size of the page.
Required range:
1 <= x <= 250Filter by traffic policy profile type.
Available options:
whitelist, blacklist, throttling Filter by service ID.
Sorts traffic policy profiles by the given field. Defaults to ascending order unless field is prefixed with a minus sign.
Available options:
service, -service, type, -type Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const trafficPolicyProfile of client.trafficPolicyProfiles.list()) {
console.log(trafficPolicyProfile.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.traffic_policy_profiles.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.TrafficPolicyProfiles.List(context.TODO(), telnyx.TrafficPolicyProfileListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.trafficpolicyprofiles.TrafficPolicyProfileListPage;
import com.telnyx.sdk.models.trafficpolicyprofiles.TrafficPolicyProfileListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
TrafficPolicyProfileListPage page = client.trafficPolicyProfiles().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.traffic_policy_profiles.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->trafficPolicyProfiles->list(
filterService: 'filter[service]',
filterType: 'whitelist',
pageNumber: 1,
pageSize: 1,
sort: 'service',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx traffic-policy-profiles list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/traffic/policy/profiles \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "traffic_policy_profile",
"type": "whitelist",
"services": [
"service_123",
"service_456"
],
"ip_ranges": [
"10.64.0.0/24",
"10.64.0.0/25"
],
"domains": [
"www.hbomax.com",
"netflix.com"
],
"limit_bw_kbps": 512,
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}